body {
  font-family: sans-serif;
  background-color: #7d7d7d;
  text-align: center;
}

.base_center {
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);
  border: 1px solid rgba(255, 255, 255, 0.1);
  border-radius: 10px;
  width: 25vw;
  min-width: 300px;
  padding: 20px 20px 30px 20px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.2);
  transition: all 0.2s ease;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.fill-btn {
  position: relative;
  overflow: hidden;
  white-space: nowrap;
  background: transparent;
  color: #e6e6e6;
  border: 2px solid #afe0e7;
  padding: 6px 10px;
  border-radius: 10px;
  width: 50%;
  cursor: pointer;
  font-size: 16px;
  z-index: 1;
}

.fill-btn::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 0%;
  background: rgba(175, 224, 231, 0.6);
  transition: width 0.6s ease;
  z-index: 0;
}

.fill-btn span {
  position: relative;
  z-index: 2;
}

.fill-btn.active::before {
  width: 100%;
}
